org.aspectj.lang.reflect

## Interface InterTypeDeclaration

All Known Subinterfaces:
  InterTypeConstructorDeclaration, InterTypeFieldDeclaration, InterTypeMethodDeclaration

    public interface InterTypeDeclaration

Represents an inter-type method, field, or constructor declared in an aspect.

### Method Summary

Methods
`AjType<?>` `getDeclaringType()` The declaring aspect
`int` `getModifiers()` Member modifiers, can be interpreted using java.lang.reflect.Modifier
`AjType<?>` `getTargetType()` The target type of this ITD

### Method Detail

#### getDeclaringType

    AjType<?> getDeclaringType()

The declaring aspect

#### getTargetType

    AjType<?> getTargetType()
                            throws java.lang.ClassNotFoundException

The target type of this ITD

Throws:
  `java.lang.ClassNotFoundException`

#### getModifiers

    int getModifiers()

Member modifiers, can be interpreted using java.lang.reflect.Modifier